CREATE TABLE `ERROR_REPORT` (
  `ERROR_REPORT_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `DATE_CREATED` datetime NOT NULL,
  `EXCEPTION` longtext NOT NULL,
  `REQUEST` longtext,
  `RESPONSE` longtext,
  PRIMARY KEY (`ERROR_REPORT_ID`)
);

CREATE TABLE `MESSAGE` (
  `MESSAGE_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `DATE_CREATED` datetime NOT NULL,
  `MESSAGE` longtext NOT NULL,
  PRIMARY KEY (`MESSAGE_ID`)
);

CREATE TABLE `USER_MESSAGE` (
  `MESSAGE_ID` bigint(20) NOT NULL,
  `USER_ID` bigint(20) NOT NULL,
  PRIMARY KEY (`MESSAGE_ID`,`USER_ID`),
  KEY `FK_bf4vf7dcw9theuho4guky31a4` (`USER_ID`),
  KEY `FK_348lv2ynkmc24pplguuxa0eys` (`MESSAGE_ID`),
  CONSTRAINT `FK_348lv2ynkmc24pplguuxa0eys` FOREIGN KEY (`MESSAGE_ID`) REFERENCES `MESSAGE` (`MESSAGE_ID`),
  CONSTRAINT `FK_bf4vf7dcw9theuho4guky31a4` FOREIGN KEY (`USER_ID`) REFERENCES `USER` (`ID`)
);

